{
  "id": "3e190840aaa1c4f2e9e7c151",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type BoolNode",
  "content": "# type parse.type BoolNode ¶\n\n```\ntype BoolNode struct {\n\tNodeType\n\tPos\n\n\tTrue bool // The value of the boolean constant.\n\t// contains filtered or unexported fields\n}\n```\n\nBoolNode holds a boolean constant.",
  "url": "https://pkg.go.dev/parse#type BoolNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type BoolNode ¶",
    "type_kind": "alias",
    "underlying": "type BoolNode struct {\n\tNodeType\n\tPos\n\n\tTrue bool // The value of the boolean constant.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "b0b7435be2a8930fe619732f27b1583802bce15b7e3f893a35b1ec16e60cef1b",
  "timestamp": "2026-02-23T11:22:10.61754139+01:00"
}